Khalti Payment Gateway for Drupal Commerce
==========================================

Introduction
------------

Khalti is a Digital Wallet, Payment Gateway, and API Provider System for various online services in Nepal. This module integrates the Khalti Payment Gateway with Drupal Commerce, allowing businesses to accept online payments in a secure and efficient way.

### Supported Payment Methods

*   **Khalti users**
*   **eBanking users** from Khalti’s partnered banks
*   **Mobile Banking users** from Khalti's partnered banks
*   **SCT/VISA cardholders** _(Card option requires approval)_
*   **ConnectIPS users**

Using Khalti Payment Gateway, you can avoid the hassle of integrating with individual banks.

Requirements
------------

This module requires the following module:

*   Drupal Commerce - [https://www.drupal.org/project/commerce](https://www.drupal.org/project/commerce)

Installation
------------

Follow the steps below to install the Khalti Payment Gateway module:

1.  Install via Composer: `composer require "drupal/khalti"`
2.  Or install as you would normally install a contributed Drupal module. See: [Installing Modules](https://www.drupal.org/docs/8/extending-drupal-8/installing-modules) .

Configuration
-------------

1.  Navigate to **Administration > Extend** and enable the Khalti module.
2.  Go to **Administration > Commerce > Configuration > Payment Gateways**.
3.  Add a new payment gateway:
    *   Select Khalti Payment Plugin.
    *   Choose live or test mode.
    *   Fill in the secret key provided with your Khalti registration.

To Use Khalti Payment Gateway
-----------------------------

1.  Install the Khalti module in your Drupal site.
2.  Create a merchant account at [admin.khalti.com](https://admin.khalti.com).
3.  Confirm the agreement with Khalti and get live keys generated from the Khalti team.
4.  Find the live key from your merchant account and use it in the Payment Gateways settings.
5.  Test the live transactions.
6.  Coordinate with the Khalti team to increase limits and slabs when you're ready to accept payments.

To Use Khalti Sandbox
---------------------

1.  Access the Test Admin Panel: Visit [test-admin.khalti.com](https://test-admin.khalti.com).
2.  Login Credentials:
    *   Username: Use any valid username for testing purposes.
    *   Login OTP: Enter **987654** when prompted.
3.  Use live secret keys in this format: `Key <live_secret_key>`.
4.  Test credentials:
    *   Phone Numbers: **9800000001**, **9800000002**, **9800000003**, **9800000004**, **9800000005**
    *   MPIN: **1111**
    *   OTP: **987654**

Contact Khalti Business Team
----------------------------

For any assistance, you can reach out to Khalti's Business Team:

*   Phone: [+977 9801165557](tel:+9779801165557)
*   Email: [merchant@khalti.com](mailto:merchant@khalti.com)

Support
-------

For technical support or queries, contact:

*   **Mobile (Viber/WhatsApp/Skype):** [9801301162](tel:+9779801301162), [9801165565](tel:+9779801165565)
*   Email: [merchantsupport@khalti.com](mailto:merchantsupport@khalti.com)