<?php

namespace Drupal\khalti\Entity;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Entity\EntityChangedInterface;
use Drupal\user\EntityOwnerInterface;

/**
 * Provides an interface for defining KhaltiTransaction entities.
 *
 * @ingroup khalti
 */
interface KhaltiTransactionInterface extends ContentEntityInterface, EntityChangedInterface, EntityOwnerInterface {

  /**
   * Gets the KhaltiTransaction title.
   *
   * @return string
   *   Title of the KhaltiTransaction.
   */
  public function getTitle();

  /**
   * Sets the KhaltiTransaction title.
   *
   * @param string $title
   *   The KhaltiTransaction title.
   *
   * @return \Drupal\khalti\Entity\KhaltiTransactionInterface
   *   The called KhaltiTransaction entity.
   */
  public function setTitle($title);

  /**
   * Gets the KhaltiTransaction creation timestamp.
   *
   * @return int
   *   Creation timestamp of the KhaltiTransaction.
   */
  public function getCreatedTime();

  /**
   * Sets the KhaltiTransaction creation timestamp.
   *
   * @param int $timestamp
   *   The KhaltiTransaction creation timestamp.
   *
   * @return \Drupal\khalti\Entity\KhaltiTransactionInterface
   *   The called KhaltiTransaction entity.
   */
  public function setCreatedTime($timestamp);

}
