<?php

namespace Drupal\khalti_transaction\Form;

use Drupal\Core\Entity\Form\DeleteMultipleForm as EntityDeleteMultipleForm;
use Drupal\Core\Url;

/**
 * Provides the khalti_transaction multiple delete confirmation form.
 *
 * @internal
 */
class ConfirmDeleteMultipleKhaltiTransaction extends EntityDeleteMultipleForm {

  /**
   * {@inheritdoc}
   */
  public function getQuestion() {
    return $this->formatPlural(count($this->selection), 'Are you sure you want to delete this khalti_transaction and all its children?', 'Are you sure you want to delete these khalti_transaction and all their children?');
  }

  /**
   * {@inheritdoc}
   */
  public function getCancelUrl() {
    return new Url('khalti_transaction.cp_risk_list');
  }

  /**
   * {@inheritdoc}
   */
  protected function getDeletedMessage($count) {
    return $this->formatPlural($count, 'Deleted @count khalti_transaction.', 'Deleted @count khalti_transaction.');
  }

  /**
   * {@inheritdoc}
   */
  protected function getInaccessibleMessage($count) {
    return $this->formatPlural($count, "@count khalti_transaction has not been deleted because you do not have the necessary permissions.", "@count khalti_transaction have not been deleted because you do not have the necessary permissions.");
  }

}
