<?php

namespace Drupal\khalti\Form;

use Drupal\Core\Entity\ContentEntityForm;
use Drupal\Core\Form\FormStateInterface;

/**
 * Form controller for KhaltiTransaction edit forms.
 *
 * @ingroup khalti
 */
class KhaltiTransactionForm extends ContentEntityForm {

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    /** @var \Drupal\khalti\Entity\KhaltiTransaction $entity */
    $form = parent::buildForm($form, $form_state);

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function save(array $form, FormStateInterface $form_state) {
    $entity = $this->entity;

    $status = parent::save($form, $form_state);

    switch ($status) {
      case SAVED_NEW:
        \Drupal::messenger()->addMessage($this->t('Created the %label KhaltiTransaction.', [
          '%label' => $entity->label(),
        ]));
        break;

      default:
        \Drupal::messenger()->addMessage($this->t('Saved the %label KhaltiTransaction.', [
          '%label' => $entity->label(),
        ]));
    }
    $form_state->setRedirect('entity.khalti_transaction.canonical', ['khalti_transaction' => $entity->id()]);
  }

}
