<?php

namespace Drupal\khalti;

use Drupal\Core\Access\AccessResult;
use Drupal\Core\Entity\EntityAccessControlHandler;
use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Session\AccountInterface;

/**
 * Access controller for the KhaltiTransaction entity.
 *
 * @see \Drupal\khalti\Entity\KhaltiTransaction.
 */
class KhaltiTransactionAccessControlHandler extends EntityAccessControlHandler {

  /**
   * {@inheritdoc}
   */
  protected function checkAccess(EntityInterface $entity, $operation, AccountInterface $account) {
    /** @var \Drupal\khalti\Entity\KhaltiTransactionInterface $entity */
    switch ($operation) {
      case 'view':
        return AccessResult::allowedIfHasPermission($account, 'view published khalti_transaction entities');

      case 'update':
        return AccessResult::allowedIfHasPermission($account, 'edit khalti_transaction entities');

      case 'delete':
        return AccessResult::allowedIfHasPermission($account, 'delete khalti_transaction entities');
    }

    // Unknown operation, no opinion.
    return AccessResult::neutral();
  }

  /**
   * {@inheritdoc}
   */
  protected function checkCreateAccess(AccountInterface $account, array $context, $entity_bundle = NULL) {
    return AccessResult::allowedIfHasPermission($account, 'add khalti_transaction entities');
  }

}
