<?php

namespace Drupal\khalti;

use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Entity\EntityListBuilder;
use Drupal\Core\Link;

/**
 * Defines a class to build a listing of KhaltiTransaction entities.
 *
 * @ingroup khalti
 */
class KhaltiTransactionListBuilder extends EntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['id'] = $this->t('ID');
    $header['transaction_id'] = $this->t('Transaction id');
    $header['uid'] = $this->t('User');
    $header['order_id'] = $this->t('Order');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    /** @var \Drupal\khalti\Entity\KhaltiTransaction $entity */
    $row['id'] = $entity->id();
    $row['transaction_id'] = $entity->label();
    $row['uid']['data'] = [
      '#theme' => 'username',
      '#account' => $entity->getOwner(),
    ];
    // $row['order_id']['data'] = [
    //   '#theme' => 'commerce_order',
    //   '#commerce_order' => $entity->getOrder()->label(),
    // ];
    $row['order_id']['data'] = Link::fromTextAndUrl($entity->getOrder()->label(), $entity->getOrder()->toUrl());
    return $row + parent::buildRow($entity);
  }

}
