<?php

namespace Drupal\khalti;

use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Entity\EntityViewBuilder;

/**
 * Render controller for khalti_transaction.
 */
class KhaltiTransactionViewBuilder extends EntityViewBuilder {

  /**
   * {@inheritdoc}
   */
  public function view(EntityInterface $entity, $view_mode = 'full', $langcode = NULL) {
    $entity = $this->entityRepository->getTranslationFromContext($entity, $langcode);

    // Ajax request might send the view mode as a GET argument, use that
    // instead.
    if (\Drupal::request()->query->has('view_mode')) {
      $view_mode = \Drupal::request()->query->get('view_mode');
    }

    $output = parent::view($entity, $view_mode, $langcode);
    $output['#theme_wrappers'] = ['container'];
    $output['#attributes']['class'][] = 'khalti-transaction-view';
    $output['#attributes']['class'][] = $view_mode;

    $output['#khalti_transaction'] = $entity;

    return $output;

  }

}
